> ## Documentation Index
> Fetch the complete documentation index at: https://mako-docs.devinagiffy.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Submissions

> List all submissions for a morning thread

<Note>This endpoint requires API key authentication (service-to-service).</Note>

## Path Parameters

<ParamField path="id" type="string" required>
  Morning thread UUID
</ParamField>

## Response

Array of thread submissions.

<ResponseField name="id" type="string">
  Submission UUID
</ResponseField>

<ResponseField name="morningThreadId" type="string">
  Parent morning thread UUID
</ResponseField>

<ResponseField name="userId" type="string">
  User UUID who submitted
</ResponseField>

<ResponseField name="messageTs" type="string">
  Slack message timestamp
</ResponseField>

<ResponseField name="rawText" type="string">
  Raw text of the submission
</ResponseField>

<ResponseField name="parsed" type="boolean">
  Whether the submission has been parsed into tasks
</ResponseField>

<ResponseField name="submittedAt" type="string">
  Submission timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.hitler.app/api/morning-threads/THREAD_UUID/submissions" \
    -H "X-API-Key: YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": "sub-uuid-1",
      "morningThreadId": "thread-uuid",
      "userId": "user-uuid-1",
      "messageTs": "1709712060.000200",
      "rawText": "Working on the API refactor and code review for PR #42",
      "parsed": false,
      "submittedAt": "2026-03-06T09:01:00.000Z"
    }
  ]
  ```
</ResponseExample>
